apply plugin:  'com.android.library'
apply plugin:  'kotlin-android'
apply plugin: 'kotlin-kapt'
apply plugin: 'kotlin-parcelize'

def androidId = rootProject.ext.defaultSetting
def rely = rootProject.ext.relyOn
android {
    compileSdkVersion androidId.compileSdk

    defaultConfig {
        minSdkVersion androidId.minSdk
        targetSdkVersion androidId.targetSdk
        versionCode androidId.versionCode
        versionName androidId.versionName

        ndk{
            abiFilters "armeabi-v7a","arm64-v8a"
        }

     //  buildConfigField("boolean","isRelease",String.valueOf(rootProject.ext.isRelease))
    }

    buildTypes {
        release {
            buildConfigField("String","url","\"${url.release_url}\"")

            buildConfigField("Boolean","isRelease",String.valueOf(true))
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
        debug{

            buildConfigField("Boolean","isRelease",String.valueOf(false))
            buildConfigField("String","url","\"${url.debug_url}\"")
        }
    }
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }


}

dependencies {

    rely.each { k, v ->
        if (k.contains("compiler")) {
        } else {
            api v
        }
    }

}